View Issue Details

IDProjectCategoryView StatusLast Update
0000146FreeCADFeaturepublic2010-09-18 13:19
ReporteryorikAssigned ToJriegel 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version0.11Fixed in Version0.11 
Summary0000146: Add python view feature to the Drawing module
DescriptionWould be nice to have in the Drawing module the same kind of python feature available in other modules. I think the current basic view object is almost OK, it probably just lacks these features:
- ability to add properties
- callback functions that allow us to do stuff when a property has changed or when redraw is required
- a custom icon

Implementing this would actually help solving feature 0000145 too...
TagsNo tags attached.

Activities

Jriegel

2010-09-17 05:49

administrator   ~0000322

Python feature for the general and the PartView done.

Issue History

Date Modified Username Field Change
2010-08-27 17:21 yorik New Issue
2010-08-28 02:50 Jriegel Status new => assigned
2010-08-28 02:50 Jriegel Assigned To => Jriegel
2010-08-28 02:51 Jriegel Target Version => 0.11
2010-09-17 05:49 Jriegel Note Added: 0000322
2010-09-17 05:49 Jriegel Status assigned => resolved
2010-09-17 05:49 Jriegel Resolution open => fixed
2010-09-17 05:50 Jriegel Fixed in Version => 0.11
2010-09-18 13:19 wmayer Status resolved => closed